# Update date dependency metadata

`PATCH https://api.airtable.com/v0/{baseId}/{tableIdOrName}/{recordId}/dateDependencyMetadata`

Update date dependency metadata for a linked predecessor on a successor record.
The rowId path parameter is the successor record ID.

## Requirements

- **Authentication:** [Personal access token](https://airtable.com/developers/web/api/authentication.md#types-of-token), [OAuth integration](https://airtable.com/developers/web/api/authentication.md#types-of-token)
- **Scope:** [`data.records:write`](https://airtable.com/developers/web/api/scopes.md#data-records-write)
- **User role:** Base editor
- **Billing plans:** All plans

## Path parameters

- `baseId: string`

- `tableIdOrName: string`

- `recordId: string`

## Request body

- `dateDependencyMetadata: Date-Dependency-Metadata` — required

  Date dependency metadata to set on the successor→predecessor link.

- `predecessorRecordId: string` — required

  The predecessor record ID that is already linked in the successor's predecessor field.

## Response format

A single record with field and cell values

- `id: string` — required

  Record ID

- `createdTime: string` — required

  A date timestamp in the ISO format, eg:"2018-01-01T00:00:00.000Z"

- `fields: object` — required

  Cell values are keyed by either field name or field ID (conditioned on `returnFieldsByFieldId`).

  See [Cell Values](https://airtable.com/developers/web/api/field-model.md) for more information on cell value response types.

  - `[key: string]` — [Cell value](https://airtable.com/developers/web/api/field-model.md)

- `commentCount: number` — optional

  The number of comments (if there are any) on the record.

  The `recordMetadata` query parameter must include `"commentCount"` in order to receive this.
